Exiv2: Exiv2::CrwMap Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::CrwMap Class Reference

Static class providing mapping functionality from Crw entries to image metadata and vice versa. More...

`#include <crwimage.hpp>`

Collaboration diagram for Exiv2::CrwMap:

[legend]

List of all members.

## Static Public Member Functions
static void | decode (const CiffComponent &ciffComponent, Image &image, ByteOrder byteOrder)
| Decode image metadata from a Crw entry convert and add it to the image metadata. This function converts only one Crw component.
static void | encode (CiffHeader *pHead, const Image &image)
| Encode image metadata from image into the Crw parse tree. This function converts all Exif metadata that Exiv2 can convert to Crw format, in a loop through the entries of the mapping table.
static void | loadStack (CrwDirs &crwDirs, uint16_t crwDir)
| Load the stack: loop through the Crw subdirs hierarchy and push all directories on the path from crwDir to root onto the stack crwDirs. Requires the subdirs array to be arranged in bottom-up order to be able to finish in only one pass.

## Detailed Description

Static class providing mapping functionality from Crw entries to image metadata and vice versa.

## Member Function Documentation

void Exiv2::CrwMap::decode | ( | const CiffComponent & | ciffComponent,
|  | Image & | image,
|  | ByteOrder | byteOrder |
| ) |  |  | `[static]`

Decode image metadata from a Crw entry convert and add it to the image metadata. This function converts only one Crw component.

Parameters:

  | ciffComponent | Source CIFF entry
  | image | Destination image for the metadata
  | byteOrder | Byte order in which the data of the entry is encoded

void Exiv2::CrwMap::encode | ( | CiffHeader * | pHead,
|  | const Image & | image |
| ) |  |  | `[static]`

Encode image metadata from image into the Crw parse tree. This function converts all Exif metadata that Exiv2 can convert to Crw format, in a loop through the entries of the mapping table.

Parameters:

  | pHead | Destination parse tree.
  | image | Source image containing the metadata.

The documentation for this class was generated from the following files:

- crwimage.hpp
- crwimage.cpp